This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 56296 - nfs exportation are
nfs exportation are
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-15 03:54 EST by Anvil
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 06:53:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anvil 2001-11-15 03:54:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i686)

Description of problem:
As i try to mount a second (or more..) nfs filesystem from the same server,
the first mounted nfs filesystem stales. I can umount the first nfs
filesystem but when i cant remount it if i dont do "exportfs -ra" on the
server. But then, the still mounted nfs filesystem stale.. have to
"exportfs -ra" on the server again....... 

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. on the server (named gaia), this is /etc/exports :
/data/home 192.168.0.0/255.255.0.0(rw,root_squash) 
/data/1 192.168.1.0/255.255.255.0(rw,root_squash)
/data/1/gaia/testbed 192.168.0.0/255.255.0.0(rw,no_root_squash)
/data/shares/   192.168.1.0/255.255.255.0(rw,root_squash)
/2/distrib 192.168.1.0/255.255.255.0(rw,root_squash)
/2/ftp 192.168.1.0/255.255.255.0(rw,no_root_squash)
/data/cvs maya.local(ro,root_squash)
/2 192.168.1.0/255.255.255.0(rw,root_squash)
/data/local 192.168.1.0/255.255.255.0(ro,root_squash)
2. on the server : service (portmap|nfs|nfslock) start
3. on the client : service (portmap|nfslock) start
4. on the client : mount gaia:/data/home /mnt/home -t nfs -o rw
5. on the client, observe : [root@maya /var/yp]# df|grep :/
gaia:/data/home       59G   35G   21G  63% /mnt/home
6. on the client : mount gaia:/data/cvs /mnt/cvs -t nfs -o ro	

Actual Results:  On the client : 
[root@maya /var/yp]# df|grep :/
gaia:/data/home         1     1     0   0% /mnt/home
gaia:/data/cvs        59G   35G   21G  63% /mnt/cvs
[root@maya /var/yp]# umount /mnt/home
[root@maya /var/yp]# mount gaia:/data/home /mnt/home -t nfs -o rw
mount: gaia:/data/home failed, reason given by server: Permission denied
[root@maya /var/yp]# ssh root@gaia exportfs -ra
[root@maya /var/yp]# mount gaia:/data/home /mnt/home -t nfs -o rw
[root@maya /var/yp]# df|grep :/
gaia:/data/cvs            1     1     0   0% /mnt/cvs
gaia:/data/home         59G   35G   21G  63% /mnt/home


Additional info:

The nfs server is seawolf with all upgrades.
Nfs clients are seawolf and enigma (both with all upgrades).
In all cases kernel is from rpm packages found on redhat ftp and has not
been recompiled. I did not test with custom kernel on server side as it is
production server and cannot play with it as I wish :o)

I found a little workaround :
If i dont umount the the staled nfs filesystem and just do an "exportfs
-ra" on the server, i get this :
[root@maya /var/yp]# df|grep :/
gaia:/data/home         59G   35G   21G  63% /mnt/home
gaia:/data/cvs          59G   35G   21G  63% /mnt/cvs

As you may observe, on the server /data is the partition and /data/home and
/data/cvs are exported directories.
This doesnt happen with all clients...even if they have the same installed
packages
Comment 1 Steve Dickson 2004-08-11 06:53:14 EDT
I'm pretty sure this has been fixed in later kernels.

Note You need to log in before you can comment on or make changes to this bug.